| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Static Public Member Functions | Static Private Member Functions | Static Private Attributes | List of all members
IG.Forms.IGForm Class Reference

Summary description for FaidMessage1. More...

Inheritance diagram for IG.Forms.IGForm:
[legend]
Collaboration diagram for IG.Forms.IGForm:
[legend]

## Static Public Member Functions
static void | ReportError (string errstr)
| Reports an error (including logging, etc., dependent on the current settings). More...
static void | ReportError (Exception e)
| Reports an error (including logging, etc., dependent on the current settings). More...
static void | SetBackColorRec (Form win, Color col)
| Recursively sets background color for a window form and all its children. More...
static void | SetForeColorRec (Form win, Color col)
| Recursively sets foreground color for a window form and all its children. More...

## Static Private Member Functions
static void | basReportError (string errstr)

## Static Private Attributes
static int | numerrors =0
| Common tools for Windows forms. More...
static int | maxerrors =5

## Detailed Description

Summary description for FaidMessage1.

## Member Function Documentation

static void IG.Forms.IGForm.basReportError | ( | string | errstr | ) |
| inline static private

References IG.Forms.FadeMessage.BackGroundColor, IG.Forms.FadeMessage.FadingTimePortion, IG.Forms.FadeMessage.MsgText, IG.Forms.FadeMessage.MsgTitle, IG.Forms.FadeMessage.ShowThread(), and IG.Forms.FadeMessage.ShowTime.

static void IG.Forms.IGForm.ReportError | ( | string | errstr | ) |
| inline static

Reports an error (including logging, etc., dependent on the current settings).

Referenced by IG.Forms.TestIgforms.Main().

static void IG.Forms.IGForm.ReportError | ( | Exception | e | ) |
| inline static

Reports an error (including logging, etc., dependent on the current settings).

static void IG.Forms.IGForm.SetBackColorRec | ( | Form | win,
|  | Color | col
| ) |  |
| inline static

Recursively sets background color for a window form and all its children.

Referenced by IG.Forms.ConsoleForm.FormThreadFunc(), IG.Forms.FadeMessage.FormThreadFunc(), and IG.Forms.FadeMessage.SetFadeLevel().

static void IG.Forms.IGForm.SetForeColorRec | ( | Form | win,
|  | Color | col
| ) |  |
| inline static

Recursively sets foreground color for a window form and all its children.

## Member Data Documentation

int IG.Forms.IGForm.numerrors =0
| static private

Common tools for Windows forms.

int IG.Forms.IGForm.maxerrors =5
| static private

The documentation for this class was generated from the following file:

- igforms/00copy/form_tools.cs